Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Add generated files to the CVS so that the use of autotools is not necessary to build...
[simgrid.git] / examples / gras / timer / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 srcdir = @srcdir@
23 top_srcdir = @top_srcdir@
24 VPATH = @srcdir@
25 pkgdatadir = $(datadir)/@PACKAGE@
26 pkglibdir = $(libdir)/@PACKAGE@
27 pkgincludedir = $(includedir)/@PACKAGE@
28 top_builddir = ../../..
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 INSTALL = @INSTALL@
31 install_sh_DATA = $(install_sh) -c -m 644
32 install_sh_PROGRAM = $(install_sh) -c
33 install_sh_SCRIPT = $(install_sh) -c
34 INSTALL_HEADER = $(INSTALL_DATA)
35 transform = $(program_transform_name)
36 NORMAL_INSTALL = :
37 PRE_INSTALL = :
38 POST_INSTALL = :
39 NORMAL_UNINSTALL = :
40 PRE_UNINSTALL = :
41 POST_UNINSTALL = :
42 build_triplet = @build@
43 host_triplet = @host@
44 target_triplet = @target@
45 noinst_PROGRAMS = timer_client$(EXEEXT) timer_simulator$(EXEEXT)
46 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
47         $(srcdir)/test_rl.in $(srcdir)/test_sg.in \
48         $(top_srcdir)/acmacro/dist-files.mk \
49         $(top_srcdir)/examples/temps-gras-stub.mk
50 subdir = examples/gras/timer
51 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
52 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
53         $(top_srcdir)/acmacro/compiler-flags.m4 \
54         $(top_srcdir)/acmacro/context.m4 \
55         $(top_srcdir)/acmacro/fancy_configury.m4 \
56         $(top_srcdir)/acmacro/flex.m4 \
57         $(top_srcdir)/acmacro/gras_arch.m4 \
58         $(top_srcdir)/acmacro/print_null.m4 \
59         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
60 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
61         $(ACLOCAL_M4)
62 mkinstalldirs = $(install_sh) -d
63 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
64 CONFIG_CLEAN_FILES = test_sg test_rl
65 PROGRAMS = $(noinst_PROGRAMS)
66 am_timer_client_OBJECTS = _timer_client.$(OBJEXT) timer.$(OBJEXT)
67 timer_client_OBJECTS = $(am_timer_client_OBJECTS)
68 timer_client_DEPENDENCIES = $(top_builddir)/src/libgras.la
69 am_timer_simulator_OBJECTS = _timer_simulator.$(OBJEXT) \
70         timer.$(OBJEXT)
71 timer_simulator_OBJECTS = $(am_timer_simulator_OBJECTS)
72 timer_simulator_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
73 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
74 depcomp = $(SHELL) $(top_srcdir)/depcomp
75 am__depfiles_maybe = depfiles
76 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
77         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
78 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
79         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
80         $(AM_CFLAGS) $(CFLAGS)
81 CCLD = $(CC)
82 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
83         $(AM_LDFLAGS) $(LDFLAGS) -o $@
84 SOURCES = $(timer_client_SOURCES) $(timer_simulator_SOURCES)
85 DIST_SOURCES = $(timer_client_SOURCES) $(timer_simulator_SOURCES)
86 ETAGS = etags
87 CTAGS = ctags
88 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
89 ACLOCAL = @ACLOCAL@
90 ADDR2LINE = @ADDR2LINE@
91 AMDEP_FALSE = @AMDEP_FALSE@
92 AMDEP_TRUE = @AMDEP_TRUE@
93 AMTAR = @AMTAR@
94 AR = @AR@
95 AS = @AS@
96 AUTOCONF = @AUTOCONF@
97 AUTOHEADER = @AUTOHEADER@
98 AUTOMAKE = @AUTOMAKE@
99 AWK = @AWK@
100 BASH = @BASH@
101 CC = @CC@
102 CCDEPMODE = @CCDEPMODE@
103 CFLAGS = @CFLAGS@
104 CPP = @CPP@
105 CPPFLAGS = @CPPFLAGS@
106 CXX = @CXX@
107 CXXCPP = @CXXCPP@
108 CXXDEPMODE = @CXXDEPMODE@
109 CXXFLAGS = @CXXFLAGS@
110 CYGPATH_W = @CYGPATH_W@
111 DEFS = @DEFS@
112 DEPDIR = @DEPDIR@
113 DLLTOOL = @DLLTOOL@
114 DOXYGEN = @DOXYGEN@
115 ECHO = @ECHO@
116 ECHO_C = @ECHO_C@
117 ECHO_N = @ECHO_N@
118 ECHO_T = @ECHO_T@
119 EGREP = @EGREP@
120 EXEEXT = @EXEEXT@
121 F77 = @F77@
122 FFLAGS = @FFLAGS@
123 FLEXML = @FLEXML@
124 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
125 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
126 GRAS_DEP = @GRAS_DEP@
127 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
128 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
129 INSTALL_DATA = @INSTALL_DATA@
130 INSTALL_PROGRAM = @INSTALL_PROGRAM@
131 INSTALL_SCRIPT = @INSTALL_SCRIPT@
132 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
133 LDFLAGS = @LDFLAGS@
134 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
135 LEX = @LEX@
136 LEXLIB = @LEXLIB@
137 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
138 LIBOBJS = @LIBOBJS@
139 LIBS = @LIBS@
140 LIBTOOL = @LIBTOOL@
141 LN_S = @LN_S@
142 LTLIBOBJS = @LTLIBOBJS@
143 MAINT = @MAINT@
144 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
145 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
146 MAKEINFO = @MAKEINFO@
147 MD5SUM = @MD5SUM@
148 OBJDUMP = @OBJDUMP@
149 OBJEXT = @OBJEXT@
150 PACKAGE = @PACKAGE@
151 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
152 PACKAGE_NAME = @PACKAGE_NAME@
153 PACKAGE_STRING = @PACKAGE_STRING@
154 PACKAGE_TARNAME = @PACKAGE_TARNAME@
155 PACKAGE_VERSION = @PACKAGE_VERSION@
156 PATH_SEPARATOR = @PATH_SEPARATOR@
157 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
158 RANLIB = @RANLIB@
159 SET_MAKE = @SET_MAKE@
160 SHELL = @SHELL@
161 SIMGRID_DEP = @SIMGRID_DEP@
162 STRIP = @STRIP@
163 VERSION = @VERSION@
164 WARNING = @WARNING@
165 abs_builddir = @abs_builddir@
166 abs_srcdir = @abs_srcdir@
167 abs_top_builddir = @abs_top_builddir@
168 abs_top_srcdir = @abs_top_srcdir@
169 ac_configure_args = @ac_configure_args@
170 ac_ct_AR = @ac_ct_AR@
171 ac_ct_AS = @ac_ct_AS@
172 ac_ct_CC = @ac_ct_CC@
173 ac_ct_CXX = @ac_ct_CXX@
174 ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
175 ac_ct_F77 = @ac_ct_F77@
176 ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
177 ac_ct_RANLIB = @ac_ct_RANLIB@
178 ac_ct_STRIP = @ac_ct_STRIP@
179 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
180 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
181 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
182 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
183 am__include = @am__include@
184 am__leading_dot = @am__leading_dot@
185 am__quote = @am__quote@
186 am__tar = @am__tar@
187 am__untar = @am__untar@
188 bindir = @bindir@
189 build = @build@
190 build_alias = @build_alias@
191 build_cpu = @build_cpu@
192 build_id = @build_id@
193 build_os = @build_os@
194 build_vendor = @build_vendor@
195 datadir = @datadir@
196 exec_prefix = @exec_prefix@
197 host = @host@
198 host_alias = @host_alias@
199 host_cpu = @host_cpu@
200 host_os = @host_os@
201 host_vendor = @host_vendor@
202 includedir = @includedir@
203 infodir = @infodir@
204 install_sh = @install_sh@
205 libdir = @libdir@
206 libexecdir = @libexecdir@
207 localstatedir = @localstatedir@
208 mandir = @mandir@
209 mkdir_p = @mkdir_p@
210 oldincludedir = @oldincludedir@
211 prefix = @prefix@
212 program_transform_name = @program_transform_name@
213 pth_skaddr_makecontext = @pth_skaddr_makecontext@
214 pth_sksize_makecontext = @pth_sksize_makecontext@
215 sbindir = @sbindir@
216 sharedstatedir = @sharedstatedir@
217 sysconfdir = @sysconfdir@
218 target = @target@
219 target_alias = @target_alias@
220 target_cpu = @target_cpu@
221 target_os = @target_os@
222 target_vendor = @target_vendor@
223 INCLUDES = -I$(top_srcdir)/include
224 AM_CFLAGS = -g
225 TESTS = test_rl test_sg
226 EXTRA_DIST = $(NAME).xml $(TESTS)
227 timer_simulator_SOURCES = _timer_simulator.c timer.c
228 timer_simulator_LDADD = $(top_builddir)/src/libsimgrid.la
229 timer_client_SOURCES = _timer_client.c timer.c
230 timer_client_LDADD = $(top_builddir)/src/libgras.la
231
232 # Take care of generatated sources
233 NAME = timer
234 PROCESSES = client
235 CLEANFILES = _$(NAME)_simulator.c $(NAME).mk $(NAME).Makefile.local $(NAME).Makefile.remote $(NAME).deploy.sh \
236              $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c)
237
238 MOSTLYCLEANFILES = $(NAME).trace
239 all: all-am
240
241 .SUFFIXES:
242 .SUFFIXES: .c .lo .o .obj
243 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/examples/temps-gras-stub.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
244         @for dep in $?; do \
245           case '$(am__configure_deps)' in \
246             *$$dep*) \
247               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
248                 && exit 0; \
249               exit 1;; \
250           esac; \
251         done; \
252         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/gras/timer/Makefile'; \
253         cd $(top_srcdir) && \
254           $(AUTOMAKE) --gnu  examples/gras/timer/Makefile
255 .PRECIOUS: Makefile
256 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
257         @case '$?' in \
258           *config.status*) \
259             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
260           *) \
261             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
262             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
263         esac;
264
265 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
266         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
267
268 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
269         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
270 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
271         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
272 test_sg: $(top_builddir)/config.status $(srcdir)/test_sg.in
273         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
274 test_rl: $(top_builddir)/config.status $(srcdir)/test_rl.in
275         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
276
277 clean-noinstPROGRAMS:
278         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
279           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
280           echo " rm -f $$p $$f"; \
281           rm -f $$p $$f ; \
282         done
283 timer_client$(EXEEXT): $(timer_client_OBJECTS) $(timer_client_DEPENDENCIES) 
284         @rm -f timer_client$(EXEEXT)
285         $(LINK) $(timer_client_LDFLAGS) $(timer_client_OBJECTS) $(timer_client_LDADD) $(LIBS)
286 timer_simulator$(EXEEXT): $(timer_simulator_OBJECTS) $(timer_simulator_DEPENDENCIES) 
287         @rm -f timer_simulator$(EXEEXT)
288         $(LINK) $(timer_simulator_LDFLAGS) $(timer_simulator_OBJECTS) $(timer_simulator_LDADD) $(LIBS)
289
290 mostlyclean-compile:
291         -rm -f *.$(OBJEXT)
292
293 distclean-compile:
294         -rm -f *.tab.c
295
296 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_timer_client.Po@am__quote@
297 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_timer_simulator.Po@am__quote@
298 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/timer.Po@am__quote@
299
300 .c.o:
301 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
302 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
303 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
304 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
305 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
306
307 .c.obj:
308 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
309 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
310 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
311 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
312 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
313
314 .c.lo:
315 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
316 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
317 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
318 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
319 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
320
321 mostlyclean-libtool:
322         -rm -f *.lo
323
324 clean-libtool:
325         -rm -rf .libs _libs
326
327 distclean-libtool:
328         -rm -f libtool
329 uninstall-info-am:
330
331 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
332         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
333         unique=`for i in $$list; do \
334             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
335           done | \
336           $(AWK) '    { files[$$0] = 1; } \
337                END { for (i in files) print i; }'`; \
338         mkid -fID $$unique
339 tags: TAGS
340
341 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
342                 $(TAGS_FILES) $(LISP)
343         tags=; \
344         here=`pwd`; \
345         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
346         unique=`for i in $$list; do \
347             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
348           done | \
349           $(AWK) '    { files[$$0] = 1; } \
350                END { for (i in files) print i; }'`; \
351         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
352           test -n "$$unique" || unique=$$empty_fix; \
353           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
354             $$tags $$unique; \
355         fi
356 ctags: CTAGS
357 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
358                 $(TAGS_FILES) $(LISP)
359         tags=; \
360         here=`pwd`; \
361         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
362         unique=`for i in $$list; do \
363             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
364           done | \
365           $(AWK) '    { files[$$0] = 1; } \
366                END { for (i in files) print i; }'`; \
367         test -z "$(CTAGS_ARGS)$$tags$$unique" \
368           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
369              $$tags $$unique
370
371 GTAGS:
372         here=`$(am__cd) $(top_builddir) && pwd` \
373           && cd $(top_srcdir) \
374           && gtags -i $(GTAGS_ARGS) $$here
375
376 distclean-tags:
377         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
378
379 check-TESTS: $(TESTS)
380         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
381         srcdir=$(srcdir); export srcdir; \
382         list='$(TESTS)'; \
383         if test -n "$$list"; then \
384           for tst in $$list; do \
385             if test -f ./$$tst; then dir=./; \
386             elif test -f $$tst; then dir=; \
387             else dir="$(srcdir)/"; fi; \
388             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
389               all=`expr $$all + 1`; \
390               case " $(XFAIL_TESTS) " in \
391               *" $$tst "*) \
392                 xpass=`expr $$xpass + 1`; \
393                 failed=`expr $$failed + 1`; \
394                 echo "XPASS: $$tst"; \
395               ;; \
396               *) \
397                 echo "PASS: $$tst"; \
398               ;; \
399               esac; \
400             elif test $$? -ne 77; then \
401               all=`expr $$all + 1`; \
402               case " $(XFAIL_TESTS) " in \
403               *" $$tst "*) \
404                 xfail=`expr $$xfail + 1`; \
405                 echo "XFAIL: $$tst"; \
406               ;; \
407               *) \
408                 failed=`expr $$failed + 1`; \
409                 echo "FAIL: $$tst"; \
410               ;; \
411               esac; \
412             else \
413               skip=`expr $$skip + 1`; \
414               echo "SKIP: $$tst"; \
415             fi; \
416           done; \
417           if test "$$failed" -eq 0; then \
418             if test "$$xfail" -eq 0; then \
419               banner="All $$all tests passed"; \
420             else \
421               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
422             fi; \
423           else \
424             if test "$$xpass" -eq 0; then \
425               banner="$$failed of $$all tests failed"; \
426             else \
427               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
428             fi; \
429           fi; \
430           dashes="$$banner"; \
431           skipped=""; \
432           if test "$$skip" -ne 0; then \
433             skipped="($$skip tests were not run)"; \
434             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
435               dashes="$$skipped"; \
436           fi; \
437           report=""; \
438           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
439             report="Please report to $(PACKAGE_BUGREPORT)"; \
440             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
441               dashes="$$report"; \
442           fi; \
443           dashes=`echo "$$dashes" | sed s/./=/g`; \
444           echo "$$dashes"; \
445           echo "$$banner"; \
446           test -z "$$skipped" || echo "$$skipped"; \
447           test -z "$$report" || echo "$$report"; \
448           echo "$$dashes"; \
449           test "$$failed" -eq 0; \
450         else :; fi
451
452 distdir: $(DISTFILES)
453         $(mkdir_p) $(distdir)/../../../acmacro $(distdir)/../../../examples
454         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
455         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
456         list='$(DISTFILES)'; for file in $$list; do \
457           case $$file in \
458             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
459             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
460           esac; \
461           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
462           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
463           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
464             dir="/$$dir"; \
465             $(mkdir_p) "$(distdir)$$dir"; \
466           else \
467             dir=''; \
468           fi; \
469           if test -d $$d/$$file; then \
470             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
471               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
472             fi; \
473             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
474           else \
475             test -f $(distdir)/$$file \
476             || cp -p $$d/$$file $(distdir)/$$file \
477             || exit 1; \
478           fi; \
479         done
480 check-am: all-am
481         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
482 check: check-am
483 all-am: Makefile $(PROGRAMS)
484 installdirs:
485 install: install-am
486 install-exec: install-exec-am
487 install-data: install-data-am
488 uninstall: uninstall-am
489
490 install-am: all-am
491         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
492
493 installcheck: installcheck-am
494 install-strip:
495         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
496           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
497           `test -z '$(STRIP)' || \
498             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
499 mostlyclean-generic:
500         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
501
502 clean-generic:
503         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
504
505 distclean-generic:
506         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
507
508 maintainer-clean-generic:
509         @echo "This command is intended for maintainers to use"
510         @echo "it deletes files that may require special tools to rebuild."
511 clean: clean-am
512
513 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
514         mostlyclean-am
515
516 distclean: distclean-am
517         -rm -rf ./$(DEPDIR)
518         -rm -f Makefile
519 distclean-am: clean-am distclean-compile distclean-generic \
520         distclean-libtool distclean-tags
521
522 dvi: dvi-am
523
524 dvi-am:
525
526 html: html-am
527
528 info: info-am
529
530 info-am:
531
532 install-data-am:
533
534 install-exec-am:
535
536 install-info: install-info-am
537
538 install-man:
539
540 installcheck-am:
541
542 maintainer-clean: maintainer-clean-am
543         -rm -rf ./$(DEPDIR)
544         -rm -f Makefile
545 maintainer-clean-am: distclean-am maintainer-clean-generic
546
547 mostlyclean: mostlyclean-am
548
549 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
550         mostlyclean-libtool
551
552 pdf: pdf-am
553
554 pdf-am:
555
556 ps: ps-am
557
558 ps-am:
559
560 uninstall-am: uninstall-info-am
561
562 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
563         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
564         distclean distclean-compile distclean-generic \
565         distclean-libtool distclean-tags distdir dvi dvi-am html \
566         html-am info info-am install install-am install-data \
567         install-data-am install-exec install-exec-am install-info \
568         install-info-am install-man install-strip installcheck \
569         installcheck-am installdirs maintainer-clean \
570         maintainer-clean-generic mostlyclean mostlyclean-compile \
571         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
572         tags uninstall uninstall-am uninstall-info-am
573
574
575 $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c) _$(NAME)_simulator.c: $(srcdir)/$(NAME).xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
576         [ x@EXEEXT@ = x ] || exenv=wine; $$exenv $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ $(NAME) $(srcdir)/$(NAME).xml
577
578 $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@:
579         make -C $(top_builddir)/tools/gras/ gras_stub_generator@EXEEXT@
580
581 dist-files:
582         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
583         @echo
584         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
585
586 # Cruft
587 # Tell versions [3.59,3.63) of GNU make to not export all variables.
588 # Otherwise a system limit (for SysV at least) may be exceeded.
589 .NOEXPORT: